Crux: BRE/WFE - Task #18203

Fix issues with the implementation of the cache
05/04/2024 11:46 AM - Tushar Bhingare
Priority: Normal Due date: 12/04/2024
Assignee: Tushar Bhingare % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

There are following issues that need to be fixed:

e Modify Load() function to match the signature and functionality described in
https://github.com/remiges-tech/crux/wiki/BRE-Implementation#rulesets-cache

¢ Modify retrieveRulesetFromCache() to load the required ruleset from db only if it doesn't exist in the cache

¢ Modify retrieveRuleSchemasFromCache() to load the required schema from db only if it doesn't exist in the cache

¢ Modify update calls of WF to purge the cache

Associated revisions

Revision 2d3a8838 - 10/04/2024 05:56 PM - remiges-Tushar

refs: #18203 Fix issues with the implementation of the cache

Revision 2e91a40f - 10/04/2024 05:58 PM - Tushar Bhingare
Merge pull request #170 from remiges-Tushar/wsc
refs: #18203 Fix issues with the implementation of the cache

Revision b5b9dee8 - 15/04/2024 11:08 PM - remiges-Tushar

refs #18203: Fix issues with the implementation of the cache

Revision 35f86c22 - 15/04/2024 11:10 PM - Tushar Bhingare

Merge pull request #176 from remiges-Tushar/wsc

refs #18203: Fix issues with the implementation of the cache

Revision 73eb0562 - 09/05/2024 12:14 AM - remiges-Tushar

refs: #18203 Remove unwanted code

History

#1 - 05/04/2024 11:47 AM - Tushar Bhingare

- Status changed from New to In Progress

#2 - 08/04/2024 06:34 PM - Tushar Bhingare
- % Done changed from 0 to 30

modified Load() function to match the signature and functionality

#3 - 10/04/2024 05:48 PM - Tushar Bhingare
- % Done changed from 30 to 100

¢ Modify retrieveRulesetFromCache() to load the required ruleset from db only if it doesn't exist in the cache

Modify retrieveRuleSchemasFromCache() to load the required schema from db only if it doesn't exist in the cache

e We only obtain the cache when the workflow and referring schema are active, and we execute update operations when the schema and
workflow are not active, so we are not executing purge operations while updating calls.

¢ Data never needs to be deleted.
#4 - 10/04/2024 05:48 PM - Tushar Bhingare

- Status changed from In Progress to Closed

#5 - 15/04/2024 06:57 PM - Tushar Bhingare

| revamped the cache logic in our program. Now, instead of creating a cache instance every time data is needed, | implemented a system to initialize
an empty cache at the program's start. Then, when data is requested, if it's not already in the cache, it dynamically loads the specific data using a

load function. This optimization ensures that only necessary data is stored, and the cache instance is created only once per application run, boosting
efficiency.
